Subject: [Ecrit] Fwd: AD review of draft-ietf-ecrit-mapping-arch

From: "Hannes Tschofenig" <[email-masked]>
Date: Wed, 21 Nov 2007 10:53:47 +0100

FYI

-------- Original-Nachricht --------
Datum: Wed, 7 Nov 2007 17:15:58 -0500
Von: "Peterson, Jon" <[email-masked]>
An: [email-masked]
CC: [email-masked]
Betreff: AD review of draft-ietf-ecrit-mapping-arch

This document is basically fine. A couple notes.

7.1 "(Extensions to extra-terrestrial applications are left for future exploration.)" is cute.

I wasn't clear reading the document if the LoST synchronization mechanism [11] was applicable to replicating data  throughout clusters, or for nodes to recursively query other nodes (last paragraph of 7.1), or both? I had kind of  assumed it was the former, but I was surprised not to see it mentioned in 7.4.

I agree with the assertion in 8 that "Forest guides fulfill a similar role to root servers in DNS." Moreover  different forest guides may be supportive different logical roots (that is, clusters of forest guides may offer  different information based on their policy). This seems to me to give rise to a significant trust issue.

I was expecting some sort of example record by the time I got to the end of Section 9, but that's at your  discretion.

Nit in 10, 

      member of a server population introduces claims a
      coverage region

Should use just "introduces" or "claims", not both.

- J

_______________________________________________
Ecrit mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ecrit